> ## Documentation Index
> Fetch the complete documentation index at: https://developer.finogates.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List User KYB Records

> Get the business verification (KYB) records for one user. Leave ``kyb_id`` out to get the full list of records, or provide a ``kyb_id`` to get just that single record.



## OpenAPI

````yaml GET /v1/platform/users/kyb-records/{user_id}
openapi: 3.1.0
info:
  title: Finogate Platform API v1
  version: 0.1.0
servers:
  - url: https://api-sandbox.finogates.com
    description: Sandbox
  - url: https://api.finogates.com
    description: Production
security: []
tags:
  - name: auth
  - name: users
  - name: payees
  - name: verification
  - name: bank accounts
  - name: card processing
  - name: digital-assets
  - name: international
  - name: onboarding
  - name: pending-applications
  - name: wallets
  - name: payments
  - name: catalog
  - name: webhooks
  - name: phone-numbers
  - name: sms
  - name: calls
  - name: listings
  - name: embed-tokens
paths:
  /v1/platform/users/kyb-records/{user_id}:
    get:
      tags:
        - verification
      summary: Get a User's Business Checks
      description: >-
        Get the business verification (KYB) records for one user. Leave
        ``kyb_id`` out to get the full list of records, or provide a ``kyb_id``
        to get just that single record.
      operationId: get_or_list_user_kybs_v1_platform_users_kyb_records__user_id__get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
        - name: kyb_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Kyb Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CommonResponse_KybRecordRead_'
                  - $ref: '#/components/schemas/ListResponse_list_KybRecordRead__'
                title: >-
                  Response Get Or List User Kybs V1 Platform Users Kyb Records 
                  User Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - _AuthenticatedBearer: []
components:
  schemas:
    CommonResponse_KybRecordRead_:
      properties:
        status_code:
          type: integer
          title: Status Code
          description: HTTP status code for the response.
        data:
          $ref: '#/components/schemas/KybRecordRead'
          description: Payload or error details.
        query_generated_time:
          type: integer
          title: Query Generated Time
          description: >-
            UTC timestamp (milliseconds since epoch) when response was
            generated.
      type: object
      required:
        - status_code
        - data
        - query_generated_time
      title: CommonResponse[KybRecordRead]
    ListResponse_list_KybRecordRead__:
      properties:
        status_code:
          type: integer
          title: Status Code
          description: HTTP status code for the response.
        data:
          items:
            $ref: '#/components/schemas/KybRecordRead'
          type: array
          title: Data
          description: Payload or error details.
        query_generated_time:
          type: integer
          title: Query Generated Time
          description: >-
            UTC timestamp (milliseconds since epoch) when response was
            generated.
        row_count:
          type: integer
          minimum: 0
          title: Row Count
          description: Total rows matching the request filters (not just this page).
        limit:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Limit
          description: >-
            Page size used for this response. Null for cursor-paginated
            endpoints.
        current_page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Current Page
          description: >-
            1-indexed page number for this response. Null for cursor-paginated
            endpoints.
        total_page_number:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total Page Number
          description: >-
            Total number of pages given the current limit. Null for
            cursor-paginated endpoints.
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Cursor for the next page, if available.
      type: object
      required:
        - status_code
        - data
        - query_generated_time
        - row_count
      title: ListResponse[list[KybRecordRead]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KybRecordRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        status:
          type: string
          title: Status
        approved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Approved At
        rejected_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Rejected At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        decline_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Decline Reason
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
        subject_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Subject Email
        subject_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Subject Name
        business_legal_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Legal Name
        business_ein:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Ein
        business_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Type
        dba:
          anyOf:
            - type: string
            - type: 'null'
          title: Dba
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
        registration_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Registration Number
        formation_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Formation Date
        mcc:
          anyOf:
            - type: string
            - type: 'null'
          title: Mcc
        business_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Description
        business_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Email
        business_phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Phone
        phone_country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Country Code
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        zip:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip
        contact_first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact First Name
        contact_last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact Last Name
        contact_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact Email
        business_documents:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Business Documents
        ownership:
          anyOf:
            - items:
                $ref: '#/components/schemas/KybBeneficialOwner'
              type: array
            - type: 'null'
          title: Ownership
      type: object
      required:
        - id
        - status
        - created_at
        - updated_at
      title: KybRecordRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    KybBeneficialOwner:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
          description: Full legal name of the owner.
        role:
          anyOf:
            - type: string
              maxLength: 120
            - type: 'null'
          title: Role
          description: >-
            The owner's role in the business, for example "founder" or
            "director".
        ownership_pct:
          anyOf:
            - type: number
              maximum: 100
              minimum: 0
            - type: 'null'
          title: Ownership Pct
          description: >-
            Share of the business this person owns, as a percentage from 0 to
            100.
      additionalProperties: true
      type: object
      required:
        - name
      title: KybBeneficialOwner
      description: A person who owns part of the business.
  securitySchemes:
    _AuthenticatedBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v1/platform/auth/token

````